--- chan_sip.c.old	2005-03-02 18:38:27.000000000 +0100
+++ chan_sip.c	2005-09-21 15:43:57.000000000 +0200
@@ -2660,7 +2669,8 @@
 		if ((sscanf(m, "audio %d RTP/AVP %n", &x, &len) == 1)) {
 			portno = x;
 			/* Scan through the RTP payload types specified in a "m=" line: */
-			ast_rtp_pt_clear(p->rtp);
+			if (p->rtp)
+				ast_rtp_pt_clear(p->rtp);
 			codecs = m + len;
 			while(!ast_strlen_zero(codecs)) {
 				if (sscanf(codecs, "%d%n", &codec, &len) != 1) {
@@ -2669,7 +2679,8 @@
 				}
 				if (debug)
 					ast_verbose("Found RTP audio format %d\n", codec);
-				ast_rtp_set_m_type(p->rtp, codec);
+				if (p->rtp)
+					ast_rtp_set_m_type(p->rtp, codec);
 				codecs += len;
 				/* Skip over any whitespace */
 				while(*codecs && (*codecs < 33)) codecs++;
